Please select Into the mobile phone version | Continue to access the computer ver.
Newest firmware upgrade 1.8.80 problems
1465 5 2016-5-1
Uploading and Loding Picture ...(0/1)
o(^-^)o
ken.elmes
New

Canada
Offline

Hello to all other forum users. This is my first post so please be patient.
This new firmware (1.8.80) I did not want or need but somehow I got pushed into taking it. At this point I am not sure exactly how, other than i was prompted to
upgrade the RC firmware through the DJI go  app.
My Phantom3 Professional was working flawless as far I was concerned but the upgrade  was one of the worst experiences I have ever had.
As a precursor I am extremely computer literate so this should have been a walk in the park.
Every upgrade such as this should be just plain simple, as there are as many people with poor skills as good. Good to see that there are many with good skills to help others on the forums here.
I can honestly say that DJI makes a fantastic product but the upgrade of firmware needs to "idiot proof so to speak" If they have the engineering to make this this thing fly as easily as it does then they need to have engineers rethink the important firmware upgrade to be one way only. There are too many other possible ways that mudddy the waters for most that are experiencing problems.

In my case I downloaded the zipped bin and extracted it to a clean formatted Micro SD card. I inserted it in the unpowered  aircraft  and then started it up. It went through its update noises and when I checked the Text file it said failed. I tried it several times but somehow when I connected it to  the RC and powered both up it said that I was running the 1.8.80 firmware.
I had previously allowed the DJIgo app to upgrade the firmware  but I was fooled into thinking that I had a big problem as many forum advisors and other uninformed people on the internet said that both the RC and the aircraft must be running the same firmware. This is not required!

DJI is at fault for not clearly communicating that or it could be a translation from Mandarin to English error , i am not sure who messed up.
I confirmed that they wont be running the same firmware  by Donny in an expert forum on this site.
That itself is very confusing as one path of upgradng the firmware of both RC and Aircraft is by a .bin file named with the same version #
I will never wiilingly take another firmware update unless DJI gets it act together

So now all is good although I dont know exactly how. Here is  what why DJI app says that i am running.

App:           version    2.8.0
Aircraft:      version   1.8.80
RC :           version     1.6.0   



2016-5-1
Use props
dbeck
Second Officer

United States
Offline

Same issues here.  I don't get why DJI makes this upgrade path to difficult for so many.!~!!  I gave up after 5 tries and and stating with the 1.7
2016-5-1
Use props
dmartin.ealnet
lvl.2
United States
Offline

I upgraded once a couple of months ago, not long after getting my P3P.  Fortunately, I did not have any problems like so many others.  My bird is working just fine, and there's no way I'm risking another upgrade after all I have heard.  My motto:  If it ain't broke, don't fix it."
2016-5-1
Use props
Aardvark
Captain
Flight distance : 384432 ft
  • >>>
United Kingdom
Offline

"I had previously allowed the DJIgo app to upgrade the firmware  but I was fooled into thinking that I had a big problem as many forum advisors and other uninformed people on the internet said that both the RC and the aircraft must be running the same firmware. This is not required!

DJI is at fault for not clearly communicating that or it could be a translation from Mandarin to English error , i am not sure who messed up."

How on earth can DJI be expected to legislate against 'false' information ? The application loaded the correct software for you, what could be better than that ?
2016-5-1
Use props
ken.elmes
New

Canada
Offline

Aardvark Posted at 2016-5-1 21:40
"I had previously allowed the DJIgo app to upgrade the firmware  but I was fooled into thinking that ...

Why would DJI prompt people to get someone to upgrade only the RC firmware, full well knowing they have created something unflyable until the aircraft is upgraded to some different version.
What is confusing is that the new .bin file named 1.8.80 actually contains the RC version 1.6 within it if you use that route to upgrade. A simple few words in the notes section would avoid a lot of confusion for many. Just saying.
2016-5-1
Use props
priyanka.parmad
New

Indonesia
Offline

my gps off when upgraded
2016-5-2
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules